$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.20.0.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.20.0.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'F47ECBF047B458FF112A34F75911A2DA72A81010C04A0DE702884AAD456CF821'
  checksumType = 'sha256'
  checksum64 = 'F47ECBF047B458FF112A34F75911A2DA72A81010C04A0DE702884AAD456CF821'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.20.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
